//-f

#version 3.7;

global_settings {
   assumed_gamma 2.2
   charset utf8
   max_trace_level 20
} //global_settings

#include "colors.inc"
#include "BorderChars_Definitions.inc"
#include "BorderChars_Styles.inc"

#declare Vertical = 0;  //TRUE or FALSE, refers to the array table entries.

#declare CharCounter = 0;
#declare ScreenCounter = 0;
#declare IncrementCounter = 1; //TRUE or FALSE
#declare InitializeFile = 1; //TRUE or FALSE
#include "Counter.inc"

#local CurChar = CharCounter;
#local CurScreen = ScreenCounter;

#local CameraX = 0;
#local CameraY = -CurScreen * 9;
#local CameraZ = 9.5;

camera {
   orthographic
   location <CameraX, CameraY, -CameraZ>
   direction <0, 0, 1>
   look_at <CameraX, CameraY, 0>
} //camera

#declare TextColor_Outer = texture {pigment {color White} finish {emission 1}}

#declare TextColor_Inner = texture {
   #declare Color0 = color <0, 216, 183> / 255 * 1.05; //Bottom
   #declare Color1 = color <154, 3, 200> / 255 * 1.05; //Top
   pigment {
      gradient y
      color_map {
         [0 color Color0]
         [.4 color (Color0 * 75 + Color1 * 25) / 100]
         [.6 (Color0 + Color1) / 2]
         [1 color Color1]
      } //color_map
   } //pigment
   finish {emission 1}
   #local YScaleAdd_Bottom = .75 / 2 * .95; //Height of the bottom of the "g"
   #local YScaleAdd_Top = .075; //Height of the top of the "*"
   scale <1, 1 + YScaleAdd_Bottom + YScaleAdd_Top, 1>
   translate -YScaleAdd_Bottom * y
} //texture

#declare TextColor_Back = texture {pigment {color White}}

/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* *                                                                                                                 * */
/* *                                                                                                                 * */
/* * THE SCENE                                                                                                       * */
/* *                                                                                                                 * */
/* *                                                                                                                 * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#declare TextScale = 1;

#local Style = 2;
#local InvisibleBorderWidth = 0;
#local TextDepth = .0002;
#local BorderWidth = .025;
#local BorderDepth = .0001;

Stylize (Style, TextDepth, InvisibleBorderWidth, BorderWidth, BorderDepth, -999, -999, -999)

#local LineSpacing = 1.5;

#local LeftMargin = -5.9;
#local TopMargin = 3.35;
#local ColumnWidth = 2.5;

#local NLines = 17;

#local CompChar = 0;

#for (I, 0, NLines - 1)
   #for (J, 0, 4)
      #if (CompChar < 82)
         #if (Vertical)
            object {BorderCharacter [CompChar] translate <LeftMargin + J * ColumnWidth, TopMargin - I * LineSpacing, 0>}
            object {BorderCharacter [CurChar] translate <LeftMargin + J * ColumnWidth + BorderCharacterWidth [CompChar] + Kerning [CompChar] [CurChar], TopMargin - I * LineSpacing, 0>}
         #else
            object {BorderCharacter [CurChar] translate <LeftMargin + J * ColumnWidth, TopMargin - I * LineSpacing, 0>}
            object {BorderCharacter [CompChar] translate <LeftMargin + J * ColumnWidth + BorderCharacterWidth [CurChar] + Kerning [CurChar] [CompChar], TopMargin - I * LineSpacing, 0>}
         #end //#if
      #end //#if
      #local CompChar = CompChar + 1;
   #end //#for
#end //#for
